
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public abstract partial class RDGraphCompositorEffect:RokojoriCompositorEffect
  {
    protected RDGraph _graph;
    public RDGraph graph => _graph;

    protected override void OnInitialize()
    {
      _graph = new RDGraph( context );
    }

    protected override void RenderView()
    {
      _graph.ProcessForView();
    }


  }
}
